# TODO - consider adding `validation` blocks to any that are ~enums although it
#        may be better to implement those validations at the helm level so the
#        chart install will fail fast instead of getting to the terraform plan
#        phase.

variable "stream_name" {
  type = string
}

variable "shard_count" {
  type = number
}

variable "retention_period" {
  type = number
}

variable "encryption_enabled" {
  type    = bool
  default = true
}

variable "tags" {
  type        = map(string)
  description = "Tags for Kinesis"
}

variable "iam_policy_prefix" {
  type = string
}

variable "enable_iam_policies" {
  type    = bool
  default = true
}